PennMUSH Community

Changeset 1284

Show
Ignore:
Timestamp:
09/23/08 14:10:05 (2 months ago)
Author:
shawnw
Message:

GC: Sync with p6

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • 1.8.3/branches/gc/CHANGES.182

    r1129 r1284  
    1414========================================================================== 
    1515 
     16Version 1.8.2 patchlevel 8                     Jan 01, 2008 
     17 
     18Minor changes: 
     19 * 'make versions' now provides some feedback. 
     20 
     21Fixes: 
     22 * width() and height() do not return 0 when set to invalid input. 
     23   By Talvo. 
     24 * Array underflow bug found by running under Valgrind. 
     25 * Crash bug when too many objects are nested. Reported by Paige, fixed 
     26   by Javelin and Intervis. 
     27 
    1628Version 1.8.2 patchlevel 7                     October 6, 2007 
    1729 
     
    2638  * The open database file wasn't getting closed on a failed save. 
    2739  * Crash bug in sortkey(). Fix by Nathan Baum. 
     40  * Crash bug in pathological container cases reported by Paige@M*U*S*H 
     41    fixed by Javelin. 
    2842  * 'help @desc' brings up @describe instead of @descformat. 
    2943    Suggested by Nymeria. 
  • 1.8.3/branches/gc/CHANGES.183

    r1129 r1284  
    1414 
    1515========================================================================== 
     16 
     17Version 1.8.3 patchlevel 6                      Jan 01, 2008 
     18 
     19Major changes: 
     20 * If configure finds a copy of the pcre library installed, that will 
     21   be used instead of the (old) version bundled with Penn. use 
     22   --with-pcre=/path/to/it if it's not in the usual places, or 
     23   --with-pcre=no to force use of the bundled version. 
     24 
     25Minor changes: 
     26 * @sitelock when there are no rules will now say that instead of 
     27   having no output. By Talvo. 
     28 * Log files use locking to prevent the small chance of more than one 
     29   process writing to the same error log at the same time. 
     30 * info_slave's logging is more clear as to its source. 
     31 * Several places that used the select() system call now favor poll() 
     32   and/or socket timeouts instead. (The main event loop still uses 
     33   select() for now.) 
     34 * A wildcard help topic search (help foo*) that only matches one 
     35   entry will display that entry. Suggested by Cheetah. 
     36 * New switches for commands no longer have to be added to the 
     37   SWITCHES file; the internal list of switches is now built based on 
     38   what switches are given in the command table and cmdlocal.c 
     39   additions. Suggested by Talek.  
     40 
     41 
     42Flags and powers: 
     43 * The announce power now also grants the ability to change the motd. 
     44   Suggested by Yuriko. 
     45 * New hook power grants rights to use @hook. Suggested by Paige. 
     46 * Windows compile fixes by Intrevis. 
     47 
     48Commands: 
     49 * @motd gives better feedback when clearing a message. 
     50 * The @tport/@otport/@atport/etc. attributes that get evalulated on a 
     51   @teleport now get the dbref of the object doing the teleport in %0 
     52   and the teleported object's old location in %1. Suggested by Daniel 
     53   Cheng. 
     54 
     55Functions: 
     56 * root() uses an improved algorithm to give a more precise 
     57   result. 
     58 * log(N,2) uses the C log2() function if available. 
     59 * log(N,e) takes the natural logarithm of N, like ln(). 
     60 * lports() now takes an optional viewer argument, a la lwho(). By 
     61   Talvo. 
     62 
     63Fixes: 
     64 * Typo in info_slave preventing simultaneous hostname lookups fixed. 
     65 * Compiliation fix with some compilers. Reported by Kimiko. 
     66 * ident lookups of new connections was broken for several 
     67   patchlevels.  Works again. Sometimes. 
     68 * Cleaned up some warnings generated by gcc 4.2 
     69 * Fixed some minor bugs detected by running under valgrind. 
     70 * OpenBSD configuration fixes. 
    1671 
    1772Version 1.8.3 patchlevel 5                      October 6, 2007 
  • 1.8.3/branches/gc/MANIFEST

    r1129 r1284  
    111111hdrs/oldflags.h 
    112112hdrs/parse.h 
    113 hdrs/pcre.h 
     113hdrs/mypcre.h 
    114114hdrs/privtab.h 
    115115hdrs/ptab.h 
  • 1.8.3/branches/gc/Makefile.in

    r1129 r1284  
    44 
    55VERSION=1.8.3 
    6 PATCHLEVEL=5 
     6PATCHLEVEL=6 
    77 
    88# 
     
    2121SQL_LDFLAGS=@MYSQL_LDFLAGS@ @POSTGRESQL_LDFLAGS@ @SQLITE3_LDFLAGS@ 
    2222 
    23 CCFLAGS=@CFLAGS@ -I.. -I../hdrs 
    24 LDFLAGS=@LDFLAGS@ -lgc 
    25 CLIBS=@LIBS@ 
     23CCFLAGS=@CFLAGS@ -I.. -I../hdrs @PCRE_CFLAGS@ 
     24LDFLAGS=@LDFLAGS@  
     25CLIBS=@LIBS@ @PCRE_LIBS@ -lgc -lpthread 
    2626INSTALL=@INSTALL@ 
    2727INSTALLDIR=$installdir 
  • 1.8.3/branches/gc/Patchlevel

    r1129 r1284  
    11Do not edit this file. It is maintained by the official PennMUSH patches. 
    2 This is PennMUSH 1.8.3p5 
     2This is PennMUSH 1.8.3p6 
  • 1.8.3/branches/gc/aclocal.m4

    r908 r1284  
    882882 fi 
    883883]) 
     884##### http://autoconf-archive.cryp.to/ax_path_lib_pcre.html 
     885# 
     886# SYNOPSIS 
     887# 
     888#   AX_PATH_LIB_PCRE [(A/NA)] 
     889# 
     890# DESCRIPTION 
     891# 
     892#   check for pcre lib and set PCRE_LIBS and PCRE_CFLAGS accordingly. 
     893# 
     894#   also provide --with-pcre option that may point to the $prefix of 
     895#   the pcre installation - the macro will check $pcre/include and 
     896#   $pcre/lib to contain the necessary files. 
     897# 
     898#   the usual two ACTION-IF-FOUND / ACTION-IF-NOT-FOUND are supported 
     899#   and they can take advantage of the LIBS/CFLAGS additions. 
     900# 
     901# LAST MODIFICATION 
     902# 
     903#   2006-10-13 
     904# 
     905# COPYLEFT 
     906# 
     907#   Copyright (c) 2006 Guido U. Draheim <guidod@gmx.de> 
     908# 
     909#   This program is free software; you can redistribute it and/or 
     910#   modify it under the terms of the GNU General Public License as 
     911#   published by the Free Software Foundation; either version 2 of the 
     912#   License, or (at your option) any later version. 
     913# 
     914#   This program is distributed in the hope that it will be useful, but 
     915#   WITHOUT ANY WARRANTY; without even the implied warranty of 
     916#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
     917#   General Public License for more details. 
     918# 
     919#   You should have received a copy of the GNU General Public License 
     920#   along with this program; if not, write to the Free Software 
     921#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
     922#   02111-1307, USA. 
     923# 
     924#   As a special exception, the respective Autoconf Macro's copyright 
     925#   owner gives unlimited permission to copy, distribute and modify the 
     926#   configure scripts that are the output of Autoconf when processing 
     927#   the Macro. You need not follow the terms of the GNU General Public 
     928#   License when using or distributing such scripts, even though 
     929#   portions of the text of the Macro appear in them. The GNU General 
     930#   Public License (GPL) does govern all other use of the material that 
     931#   constitutes the Autoconf Macro. 
     932# 
     933#   This special exception to the GPL applies to versions of the 
     934#   Autoconf Macro released by the Autoconf Macro Archive. When you 
     935#   make and distribute a modified version of the Autoconf Macro, you 
     936#   may extend this special exception to the GPL to apply to your 
     937#   modified version as well. 
     938 
     939AC_DEFUN([AX_PATH_LIB_PCRE],[dnl 
     940AC_MSG_CHECKING([lib pcre]) 
     941AC_ARG_WITH(pcre, 
     942[  --with-pcre[[=prefix]]    path to system pcre],, 
     943     with_pcre="yes") 
     944if test ".$with_pcre" = ".no" ; then 
     945  AC_MSG_RESULT([disabled]) 
     946  m4_ifval($2,$2) 
     947else 
     948  AC_MSG_RESULT([(testing)]) 
     949  AC_CHECK_LIB(pcre, pcre_study) 
     950  if test "$ac_cv_lib_pcre_pcre_study" = "yes" ; then 
     951     PCRE_LIBS="-lpcre" 
     952     AC_MSG_CHECKING([lib pcre]) 
     953     AC_MSG_RESULT([$PCRE_LIBS]) 
     954     m4_ifval($1,$1) 
     955  else 
     956     OLDLDFLAGS="$LDFLAGS" ; LDFLAGS="$LDFLAGS -L$with_pcre/lib" 
     957     OLDCPPFLAGS="$CPPFLAGS" ; CPPFLAGS="$CPPFLAGS -I$with_pcre/include" 
     958     OLDLIBS="$LIBS" 
     959     AC_CHECK_LIB(pcre, pcre_compile) 
     960     CPPFLAGS="$OLDCPPFLAGS" 
     961     LDFLAGS="$OLDLDFLAGS" 
     962     LIBS="$OLDLIBS" 
     963     if test "$ac_cv_lib_pcre_pcre_compile" = "yes" ; then 
     964        AC_MSG_RESULT(.setting PCRE_LIBS -L$with_pcre/lib -lpcre) 
     965        PCRE_LIBS="-L$with_pcre/lib -lpcre" 
     966        test -d "$with_pcre/include" && PCRE_CFLAGS="-I$with_pcre/include" 
     967        AC_MSG_CHECKING([lib pcre]) 
     968        AC_MSG_RESULT([$PCRE_LIBS]) 
     969        m4_ifval($1,$1) 
     970     else 
     971        AC_MSG_CHECKING([lib pcre]) 
     972        AC_MSG_RESULT([no, (WARNING)]) 
     973        m4_ifval($2,$2) 
     974     fi 
     975  fi 
     976fi 
     977AC_SUBST([PCRE_LIBS]) 
     978AC_SUBST([PCRE_CFLAGS]) 
     979]) 
  • 1.8.3/branches/gc/config.h.in

    r1129 r1284  
    6767#undef HAVE_SYS_UIO_H 
    6868 
     69#undef HAVE_POLL_H 
     70 
     71#undef HAVE_SYS_EPOLL_H 
     72 
     73#undef HAVE_SYS_SELECT_H 
     74 
    6975/* C99ish headers. The first two are really really nice to have. */ 
    7076 
     
    8894#define HAS_OPENSSL 
    8995#endif 
     96 
     97#undef HAVE_PCRE 
    9098 
    9199/* Types */ 
     
    277285#undef HAVE_GETPPID 
    278286 
     287#undef HAVE_PSELECT 
     288 
     289#undef HAVE_POLL 
     290 
     291#undef HAVE_PPOLL 
     292 
     293#undef HAVE_POLLTS 
     294 
    279295#undef HAVE_KQUEUE 
     296 
     297#undef HAVE_EPOLL_CTL 
    280298 
    281299#undef HAVE_VALLOC 
  • 1.8.3/branches/gc/configure

    r1129 r1284  
    682682EGREP 
    683683HAVE_SSL 
     684PCRE_LIBS 
     685PCRE_CFLAGS 
    684686MYSQL_CONFIG 
    685687MYSQL_VERSION 
     
    12841286                          with the default search path) 
    12851287 
     1288  --with-pcre[=prefix]    path to system pcre 
    12861289  --with-mysql=[ARG]      use MySQL client library [default=yes], optionally 
    12871290                          specify path to mysql_config 
     
    73037306 
    73047307 
     7308 
     7309 
     7310for ac_header in poll.h sys/epoll.h sys/select.h 
     7311do 
     7312as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     7313if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     7314  { echo "$as_me:$LINENO: checking for $ac_header" >&5 
     7315echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     7316if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     7317  echo $ECHO_N "(cached) $ECHO_C" >&6 
     7318fi 
     7319ac_res=`eval echo '${'$as_ac_Header'}'` 
     7320           { echo "$as_me:$LINENO: result: $ac_res" >&5 
     7321echo "${ECHO_T}$ac_res" >&6; } 
     7322else 
     7323  # Is the header compilable? 
     7324{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     7325echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 
     7326cat >conftest.$ac_ext <<_ACEOF 
     7327/* confdefs.h.  */ 
     7328_ACEOF 
     7329cat confdefs.h >>conftest.$ac_ext 
     7330cat >>conftest.$ac_ext <<_ACEOF 
     7331/* end confdefs.h.  */ 
     7332$ac_includes_default 
     7333#include <$ac_header> 
     7334_ACEOF 
     7335rm -f conftest.$ac_objext 
     7336if { (ac_try="$ac_compile" 
     7337case "(($ac_try" in 
     7338  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     7339  *) ac_try_echo=$ac_try;; 
     7340esac 
     7341eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     7342  (eval "$ac_compile") 2>conftest.er1 
     7343  ac_status=$? 
     7344  grep -v '^ *+' conftest.er1 >conftest.err 
     7345  rm -f conftest.er1 
     7346  cat conftest.err >&5 
     7347  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7348  (exit $ac_status); } && { 
     7349     test -z "$ac_c_werror_flag" || 
     7350     test ! -s conftest.err 
     7351       } && test -s conftest.$ac_objext; then 
     7352  ac_header_compiler=yes 
     7353else 
     7354  echo "$as_me: failed program was:" >&5 
     7355sed 's/^/| /' conftest.$ac_ext >&5 
     7356 
     7357    ac_header_compiler=no 
     7358fi 
     7359 
     7360rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     7361{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     7362echo "${ECHO_T}$ac_header_compiler" >&6; } 
     7363 
     7364# Is the header present? 
     7365{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     7366echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 
     7367cat >conftest.$ac_ext <<_ACEOF 
     7368/* confdefs.h.  */ 
     7369_ACEOF 
     7370cat confdefs.h >>conftest.$ac_ext 
     7371cat >>conftest.$ac_ext <<_ACEOF 
     7372/* end confdefs.h.  */ 
     7373#include <$ac_header> 
     7374_ACEOF 
     7375if { (ac_try="$ac_cpp conftest.$ac_ext" 
     7376case "(($ac_try" in 
     7377  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     7378  *) ac_try_echo=$ac_try;; 
     7379esac 
     7380eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     7381  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 
     7382  ac_status=$? 
     7383  grep -v '^ *+' conftest.er1 >conftest.err 
     7384  rm -f conftest.er1 
     7385  cat conftest.err >&5 
     7386  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     7387  (exit $ac_status); } >/dev/null && { 
     7388     test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || 
     7389     test ! -s conftest.err 
     7390       }; then 
     7391  ac_header_preproc=yes 
     7392else 
     7393  echo "$as_me: failed program was:" >&5 
     7394sed 's/^/| /' conftest.$ac_ext >&5 
     7395 
     7396  ac_header_preproc=no 
     7397fi 
     7398 
     7399rm -f conftest.err conftest.$ac_ext 
     7400{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     7401echo "${ECHO_T}$ac_header_preproc" >&6; } 
     7402 
     7403# So?  What about this header? 
     7404case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     7405  yes:no: ) 
     7406    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     7407echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     7408    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
     7409echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
     7410    ac_header_preproc=yes 
     7411    ;; 
     7412  no:yes:* ) 
     7413    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     7414echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     7415    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
     7416echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
     7417    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
     7418echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
     7419    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
     7420echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
     7421    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     7422echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     7423    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
     7424echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
     7425 
     7426    ;; 
     7427esac 
     7428{ echo "$as_me:$LINENO: checking for $ac_header" >&5 
     7429echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 
     7430if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 
     7431  echo $ECHO_N "(cached) $ECHO_C" >&6 
     7432else 
     7433  eval "$as_ac_Header=\$ac_header_preproc" 
     7434fi 
     7435ac_res=`eval echo '${'$as_ac_Header'}'` 
     7436           { echo "$as_me:$LINENO: result: $ac_res" >&5 
     7437echo "${ECHO_T}$ac_res" >&6; } 
     7438 
     7439fi 
     7440if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     7441  cat >>confdefs.h <<_ACEOF 
     7442#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     7443_ACEOF 
     7444 
     7445fi 
     7446 
     7447done 
     7448 
    73057449### C language support 
    73067450# Only need to check C99 and GNU extensions 
     
    1159111735 
    1159211736if test "$HAVE_SSL" = "yes"; then 
    11593    cat >>confdefs.h <<\_ACEOF 
     11737   cat >>confdefs.h <<\_ACEOF 
    1159411738#define HAVE_SSL 1 
     11739_ACEOF 
     11740 
     11741fi 
     11742 
     11743# system libpcre 
     11744{ echo "$as_me:$LINENO: checking lib pcre" >&5 
     11745echo $ECHO_N "checking lib pcre... $ECHO_C" >&6; } 
     11746 
     11747# Check whether --with-pcre was given. 
     11748if test "${with_pcre+set}" = set; then 
     11749  withval=$with_pcre; 
     11750else 
     11751  with_pcre="yes" 
     11752fi 
     11753 
     11754if test ".$with_pcre" = ".no" ; then 
     11755  { echo "$as_me:$LINENO: result: disabled" >&5 
     11756echo "${ECHO_T}disabled" >&6; } 
     11757 
     11758else 
     11759  { echo "$as_me:$LINENO: result: (testing)" >&5 
     11760echo "${ECHO_T}(testing)" >&6; } 
     11761 
     11762{ echo "$as_me:$LINENO: checking for pcre_study in -lpcre" >&5 
     11763echo $ECHO_N "checking for pcre_study in -lpcre... $ECHO_C" >&6; } 
     11764if test "${ac_cv_lib_pcre_pcre_study+set}" = set; then 
     11765  echo $ECHO_N "(cached) $ECHO_C" >&6 
     11766else 
     11767  ac_check_lib_save_LIBS=$LIBS 
     11768LIBS="-lpcre  $LIBS" 
     11769cat >conftest.$ac_ext <<_ACEOF 
     11770/* confdefs.h.  */ 
     11771_ACEOF 
     11772cat confdefs.h >>conftest.$ac_ext 
     11773cat >>conftest.$ac_ext <<_ACEOF 
     11774/* end confdefs.h.  */ 
     11775 
     11776/* Override any GCC internal prototype to avoid an error. 
     11777   Use char because int might match the return type of a GCC 
     11778   builtin and then its argument prototype would still apply.  */ 
     11779#ifdef __cplusplus 
     11780extern "C" 
     11781#endif 
     11782char pcre_study (); 
     11783int 
     11784main () 
     11785{ 
     11786return pcre_study (); 
     11787  ; 
     11788  return 0; 
     11789} 
     11790_ACEOF 
     11791rm -f conftest.$ac_objext conftest$ac_exeext 
     11792if { (ac_try="$ac_link" 
     11793case "(($ac_try" in 
     11794  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11795  *) ac_try_echo=$ac_try;; 
     11796esac 
     11797eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11798  (eval "$ac_link") 2>conftest.er1 
     11799  ac_status=$? 
     11800  grep -v '^ *+' conftest.er1 >conftest.err 
     11801  rm -f conftest.er1 
     11802  cat conftest.err >&5 
     11803  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11804  (exit $ac_status); } && { 
     11805     test -z "$ac_c_werror_flag" || 
     11806     test ! -s conftest.err 
     11807       } && test -s conftest$ac_exeext && 
     11808       $as_test_x conftest$ac_exeext; then 
     11809  ac_cv_lib_pcre_pcre_study=yes 
     11810else 
     11811  echo "$as_me: failed program was:" >&5 
     11812sed 's/^/| /' conftest.$ac_ext >&5 
     11813 
     11814    ac_cv_lib_pcre_pcre_study=no 
     11815fi 
     11816 
     11817rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
     11818      conftest$ac_exeext conftest.$ac_ext 
     11819LIBS=$ac_check_lib_save_LIBS 
     11820fi 
     11821{ echo "$as_me:$LINENO: result: $ac_cv_lib_pcre_pcre_study" >&5 
     11822echo "${ECHO_T}$ac_cv_lib_pcre_pcre_study" >&6; } 
     11823if test $ac_cv_lib_pcre_pcre_study = yes; then 
     11824  cat >>confdefs.h <<_ACEOF 
     11825#define HAVE_LIBPCRE 1 
     11826_ACEOF 
     11827 
     11828  LIBS="-lpcre $LIBS" 
     11829 
     11830fi 
     11831 
     11832  if test "$ac_cv_lib_pcre_pcre_study" = "yes" ; then 
     11833     PCRE_LIBS="-lpcre" 
     11834     { echo "$as_me:$LINENO: checking lib pcre" >&5 
     11835echo $ECHO_N "checking lib pcre... $ECHO_C" >&6; } 
     11836     { echo "$as_me:$LINENO: result: $PCRE_LIBS" >&5 
     11837echo "${ECHO_T}$PCRE_LIBS" >&6; } 
     11838 
     11839  else 
     11840     OLDLDFLAGS="$LDFLAGS" ; LDFLAGS="$LDFLAGS -L$with_pcre/lib" 
     11841     OLDCPPFLAGS="$CPPFLAGS" ; CPPFLAGS="$CPPFLAGS -I$with_pcre/include" 
     11842     OLDLIBS="$LIBS" 
     11843 
     11844{ echo "$as_me:$LINENO: checking for pcre_compile in -lpcre" >&5 
     11845echo $ECHO_N "checking for pcre_compile in -lpcre... $ECHO_C" >&6; } 
     11846if test "${ac_cv_lib_pcre_pcre_compile+set}" = set; then 
     11847  echo $ECHO_N "(cached) $ECHO_C" >&6 
     11848else 
     11849  ac_check_lib_save_LIBS=$LIBS 
     11850LIBS="-lpcre  $LIBS" 
     11851cat >conftest.$ac_ext <<_ACEOF 
     11852/* confdefs.h.  */ 
     11853_ACEOF 
     11854cat confdefs.h >>conftest.$ac_ext 
     11855cat >>conftest.$ac_ext <<_ACEOF 
     11856/* end confdefs.h.  */ 
     11857 
     11858/* Override any GCC internal prototype to avoid an error. 
     11859   Use char because int might match the return type of a GCC 
     11860   builtin and then its argument prototype would still apply.  */ 
     11861#ifdef __cplusplus 
     11862extern "C" 
     11863#endif 
     11864char pcre_compile (); 
     11865int 
     11866main () 
     11867{ 
     11868return pcre_compile (); 
     11869  ; 
     11870  return 0; 
     11871} 
     11872_ACEOF 
     11873rm -f conftest.$ac_objext conftest$ac_exeext 
     11874if { (ac_try="$ac_link" 
     11875case "(($ac_try" in 
     11876  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     11877  *) ac_try_echo=$ac_try;; 
     11878esac 
     11879eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     11880  (eval "$ac_link") 2>conftest.er1 
     11881  ac_status=$? 
     11882  grep -v '^ *+' conftest.er1 >conftest.err 
     11883  rm -f conftest.er1 
     11884  cat conftest.err >&5 
     11885  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     11886  (exit $ac_status); } && { 
     11887     test -z "$ac_c_werror_flag" || 
     11888     test ! -s conftest.err 
     11889       } && test -s conftest$ac_exeext && 
     11890       $as_test_x conftest$ac_exeext; then 
     11891  ac_cv_lib_pcre_pcre_compile=yes 
     11892else 
     11893  echo "$as_me: failed program was:" >&5 
     11894sed 's/^/| /' conftest.$ac_ext >&5 
     11895 
     11896    ac_cv_lib_pcre_pcre_compile=no 
     11897fi 
     11898 
     11899rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
     11900      conftest$ac_exeext conftest.$ac_ext 
     11901LIBS=$ac_check_lib_save_LIBS 
     11902fi 
     11903{ echo "$as_me:$LINENO: result: $ac_cv_lib_pcre_pcre_compile" >&5 
     11904echo "${ECHO_T}$ac_cv_lib_pcre_pcre_compile" >&6; } 
     11905if test $ac_cv_lib_pcre_pcre_compile = yes; then 
     11906  cat >>confdefs.h <<_ACEOF 
     11907#define HAVE_LIBPCRE 1 
     11908_ACEOF 
     11909 
     11910  LIBS="-lpcre $LIBS" 
     11911 
     11912fi 
     11913 
     11914     CPPFLAGS="$OLDCPPFLAGS" 
     11915     LDFLAGS="$OLDLDFLAGS" 
     11916     LIBS="$OLDLIBS" 
     11917     if test "$ac_cv_lib_pcre_pcre_compile" = "yes" ; then 
     11918        { echo "$as_me:$LINENO: result: .setting PCRE_LIBS -L$with_pcre/lib -lpcre" >&5 
     11919echo "${ECHO_T}.setting PCRE_LIBS -L$with_pcre/lib -lpcre" >&6; } 
     11920        PCRE_LIBS="-L$with_pcre/lib -lpcre" 
     11921        test -d "$with_pcre/include" && PCRE_CFLAGS="-I$with_pcre/include" 
     11922        { echo "$as_me:$LINENO: checking lib pcre" >&5 
     11923echo $ECHO_N "checking lib pcre... $ECHO_C" >&6; } 
     11924        { echo "$as_me:$LINENO: result: $PCRE_LIBS" >&5 
     11925echo "${ECHO_T}$PCRE_LIBS" >&6; } 
     11926 
     11927     else 
     11928        { echo "$as_me:$LINENO: checking lib pcre" >&5 
     11929echo $ECHO_N "checking lib pcre... $ECHO_C" >&6; } 
     11930        { echo "$as_me:$LINENO: result: no, (WARNING)" >&5 
     11931echo "${ECHO_T}no, (WARNING)" >&6; } 
     11932 
     11933     fi 
     11934  fi 
     11935fi 
     11936 
     11937 
     11938 
     11939if test "no$PCRE_LIBS" != "no"; then 
     11940   cat >>confdefs.h <<\_ACEOF 
     11941#define HAVE_PCRE 1 
    1159511942_ACEOF 
    1159611943 
     
    1231912666 
    1232012667_ACEOF 
    12321 rm -f conftest.$ac_objext 
    12322 if { (ac_try="$ac_compile
    12323 case "(($ac_try" in 
    12324   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    12325   *) ac_try_echo=$ac_try;; 
    12326 esac 
    12327 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    12328   (eval "$ac_compile") 2>conftest.er1 
     12668rm -f conftest.$ac_objext conftest$ac_exeext 
     12669if { (ac_try="$ac_link
     12670case "(($ac_try" in 
     12671  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     12672  *) ac_try_echo=$ac_try;; 
     12673esac 
     12674eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     12675  (eval "$ac_link") 2>conftest.er1 
    1232912676  ac_status=$? 
    1233012677  grep -v '^ *+' conftest.er1 >conftest.err 
     
    1233512682     test -z "$ac_c_werror_flag" || 
    1233612683     test ! -s conftest.err 
    12337        } && test -s conftest.$ac_objext; then 
     12684       } && test -s conftest$ac_exeext && 
     12685       $as_test_x conftest$ac_exeext; then 
    1233812686  { echo "$as_me:$LINENO: result: yes" >&5 
    1233912687echo "${ECHO_T}yes" >&6; } 
     
    1235012698fi 
    1235112699 
    12352 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     12700rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
     12701      conftest$ac_exeext conftest.$ac_ext 
    1235312702 
    1235412703{ echo "$as_me:$LINENO: checking for gai_strerror" >&5 
     
    1417814527 
    1417914528 
    14180  
    14181 for ac_func in socketpair sigaction sigprocmask imaxdiv kqueue valloc writev 
     14529for ac_func in socketpair sigaction sigprocmask imaxdiv valloc writev 
    1418214530do 
    1418314531as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    1427314621 
    1427414622 
    14275 for ac_func in fcntl 
     14623 
     14624 
     14625 
     14626 
     14627 
     14628 
     14629for ac_func in fcntl pselect poll ppoll pollts kqueue epoll_ctl 
    1427614630do 
    1427714631as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 
     
    1655916913EGREP!$EGREP$ac_delim 
    1656016914HAVE_SSL!$HAVE_SSL$ac_delim 
     16915PCRE_LIBS!$PCRE_LIBS$ac_delim 
     16916PCRE_CFLAGS!$PCRE_CFLAGS$ac_delim 
    1656116917MYSQL_CONFIG!$MYSQL_CONFIG$ac_delim 
    1656216918MYSQL_VERSION!$MYSQL_VERSION$ac_delim 
     
    1657416930_ACEOF 
    1657516931 
    16576   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 81; then 
     16932  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 83; then 
    1657716933    break 
    1657816934  elif $ac_last_try; then 
  • 1.8.3/branches/gc/configure.in

    r1129 r1284  
    106106AC_CHECK_HEADER(sys/types.h, [AC_DEFINE(I_SYS_TYPES)]) 
    107107AC_CHECK_HEADERS([sys/un.h ieeefp.h sys/resource.h sys/event.h sys/uio.h]) 
    108  
     108AC_CHECK_HEADERS([poll.h sys/epoll.h sys/select.h]) 
    109109### C language support 
    110110# Only need to check C99 and GNU extensions 
     
    149149CHECK_SSL 
    150150if test "$HAVE_SSL" = "yes"; then 
    151     AC_DEFINE(HAVE_SSL) 
     151   AC_DEFINE(HAVE_SSL) 
     152fi 
     153 
     154# system libpcre 
     155AX_PATH_LIB_PCRE() 
     156if test "no$PCRE_LIBS" != "no"; then 
     157   AC_DEFINE(HAVE_PCRE) 
    152158fi 
    153159 
     
    163169AC_CHECK_FUNCS([fpsetmask fpsetround]) 
    164170AC_MSG_CHECKING([for isnormal]) 
    165 AC_COMPILE_IFELSE([ 
     171AC_LINK_IFELSE([ 
    166172#include <math.h> 
    167173int main(void) { 
     
    191197fi 
    192198AC_CHECK_FUNCS([cbrt log2 getuid geteuid seteuid getpriority setpriority]) 
    193 AC_CHECK_FUNCS([socketpair sigaction sigprocmask imaxdiv kqueue valloc writev]) 
    194 AC_CHECK_FUNCS([fcntl]) 
     199AC_CHECK_FUNCS([socketpair sigaction sigprocmask imaxdiv valloc writev]) 
     200AC_CHECK_FUNCS([fcntl pselect poll ppoll pollts kqueue epoll_ctl]) 
    195201 
    196202AC_FUNC_SNPRINTF 
  • 1.8.3/branches/gc/confmagic.h

    r978 r1284  
    1313#define _confmagic_h_ 
    1414 
    15  /* 
     15#define inline __inline 
     16 
     17/* 
    1618 * (which isn't exportable from the U.S.), then don't encrypt 
    1719 */ 
     
    5557#endif 
    5658 
     59#if defined(HAVE_POLLTS) && !defined(HAVE_PPOLL) 
     60/* Linux's ppoll() is identical to NetBSD's pollts() in all but name. */ 
     61#define ppoll pollts 
     62#define HAVE_PPOLL 
    5763#endif 
     64 
     65#endif 
  • 1.8.3/branches/gc/game/txt/hlp/penncmd.hlp

    r1129 r1284  
    356356  in its new location. 
    357357 
    358 See also: @tel, ACTION LISTS 
     358  %0 is the object causing the teleport, and %1 is the old location 
     359  of the teleported object. 
     360 
     361See also: @tel, ACTION LISTS, @tport, @otport, @oxtport 
    359362& @atrchown 
    360363  @atrchown <object>/<attribute> = <new_owner>. 
     
    25642567  is teleported to. If you want to set a message that will be shown 
    25652568  to the room that the object is teleported OUT of, use @oxtport. 
     2569 
     2570  %0 is the object causing the teleport, and %1 is the old location 
     2571  of the teleported object. 
    25662572 
    25672573  If the =<message> part is omitted, the message will be reset. 
     
    33043310  @teleport[/silent][/inside] [<object>=] <room>.  
    33053311 
    3306   Teleports <object> to <room>.  <object> must be a thing; if you do not 
    3307   supply a thing, the object is assumed to be yourself. The destination 
    3308   must be either JUMP_OK or controlled by you, and you must either 
    3309   control <object> or <object>'s current location. Also, the destination
    3310   if a room, cannot be teleport-locked against <object>. Mortals canno
    3311   teleport HEAVY objects. If the target room has a drop-to, <object> 
    3312   will go to the drop-to room instead.  
     3312  Teleports <object> to <room>.  <object> must be a thing; if you do 
     3313  not supply a thing, the object is assumed to be yourself. The 
     3314  destination must be either JUMP_OK or controlled by you, and you 
     3315  must either control <object> or <object>'s current location. Also
     3316  the destination, if a room, cannot be teleport-locked agains
     3317  <object>. Mortals cannot teleport HEAVY objects. If the target room 
     3318  has a drop-to, <object> will go to the drop-to room instead. 
    33133319 
    33143320  Privileged players who teleport a player to another player send them 
    3315   to the location of the target, unless the /inside switch is used, 
    3316   in which case they are sent to the inventory of the target. 
     3321  to the location of the target, unless the /inside switch is used, in 
     3322  which case they are sent to the inventory of the target. 
    33173323 
    33183324  Teleportation from a room can be stopped by setting the NO_TEL flag. 
    3319   Royalty and Wizards can _always_ teleport to any location, regardless 
    3320   of NO_TEL or teleport locks. 
    3321  
    3322   Teleportation triggers the @oxtport/@tport/@otport/@atport attributes, 
    3323   unless <room> is an exit or the /silent switch is given. 
    3324  
    3325   As a special case, using "home" as the <room> teleports the object 
    3326   to its home. 
     3325  Royalty and Wizards can _always_ teleport to any location, 
     3326  regardless of NO_TEL or teleport locks. 
     3327 
     3328  Teleportation triggers the @oxtport/@tport/@otport/@atport 
     3329  attributes, unless <room> is an exit or the /silent switch is 
     3330  given. With @oxtport, %0 is the dbref of the object causing the 
     3331  dbref. The others, in addition to %0, get the former location of the 
     3332  object that was teleported passed in %1. 
     3333 
     3334  As a special case, using "home" as the <room> has the same effect as 
     3335  the home command, and does not act like a normal teleport. 
    33273336 
    33283337See also: JUMP_OK, NO_TEL, @oxtport, @tport, @otport, @atport, @lock 
     
    33313340 
    33323341  Sets the <message> shown to <object> when <object> is teleported. 
     3342 
     3343  %0 is the object causing the teleport, and %1 is the old location 
     3344  of the teleported object. 
     3345 
     3346See also: @otport, @atport, @oxtport 
    33333347& @trigger 
    33343348  @trigger <object>/<attribute> [=<value 0>,<val. 1>,...,<val 9>] 
  • 1.8.3/branches/gc/game/txt/hlp/pennfunc.hlp

    r1129 r1284  
    22742274  log(<number>[, <base>]) 
    22752275  
    2276   Returns the logarithm (base 10, or the given base) of <number>. 
     2276  Returns the logarithm (base 10, or the given base) of <number>.  
     2277  <base> can be a floating-point number, or 'e' for the natural 
     2278  logarithm. 
     2279 
     2280See also: ln() 
    22772281& LPARENT() 
    22782282  lparent(<object>) 
  • 1.8.3/branches/gc/game/txt/hlp/penntop.hlp

    r981 r1284  
    10501050  halt                  Can @halt others' objects and do @allhalt. 
    10511051  hide                  Can hide on the WHO list. 
     1052  hook                  Can use the @hook command. 
    10521053  idle                  No inactivity timeout. 
    10531054  link_anywhere         Can @link an exit to anyplace. 
  • 1.8.3/branches/gc/game/txt/hlp/pennv182.hlp

    r1129 r1284  
     1